notetitle = "高一上学期备课初始资源" # 文件名, 也是文件标题
outputdir = "临时文件" # 输出文件夹, 不建议更换
topandbottomusagestuple=(2,2) # 显示靠前的几个使用记录和靠后的几个使用记录


from database_tools import *
lessonproblemsdict = load_dict("文本文件/课时题目.json") # 需要有一个数据库json文件, key是课时号如"K0101"(见lessonscut.json), 内容是该课时对应的题号字符串
pro_dict = load_dict("../题库0.3/problems.json")
obj_dict = load_dict("../题库0.3/LessonObj.json")
lessons_dict = load_dict("../题库0.3/LessonsCut.json")


GenerateLessonPreparationDraft(notetitle,outputdir,lessonproblemsdict,pro_dict,obj_dict,lessons_dict,topandbottomusagestuple=topandbottomusagestuple)



